noinst_LTLIBRARIES = libpsmodulesobjects.la

libpsmodulesobjects_la_CPPFLAGS = $(SRCINC) $(PSMODULES_CFLAGS) -I../pslib/
libpsmodulesobjects_la_LDFLAGS  = -release $(PACKAGE_VERSION)
libpsmodulesobjects_la_SOURCES  = \
     pmPeaks.c \
     pmMoments.c \
     pmModel.c \
     pmModelClass.c \
     pmModelUtils.c \
     pmSource.c \
     pmSourceUtils.c \
     pmSourceSky.c \
     pmSourceContour.c \
     pmSourceFitModel.c \
     pmSourceFitSet.c \
     pmSourcePhotometry.c \
     pmSourceIO.c \
     pmSourceIO_RAW.c \
     pmSourceIO_OBJ.c \
     pmSourceIO_SX.c \
     pmSourceIO_CMP.c \
     pmSourceIO_SMPDATA.c \
     pmSourceIO_PS1_DEV_0.c \
     pmSourceIO_PS1_DEV_1.c \
     pmSourcePlots.c \
     pmSourcePlotPSFModel.c \
     pmSourcePlotMoments.c \
     pmSourcePlotApResid.c \
     pmResiduals.c \
     pmPSF.c \
     pmPSF_IO.c \
     pmPSFtry.c \
     pmTrend2D.c \
     pmGrowthCurve.c

EXTRA_DIST = \
     models/pmModel_GAUSS.c \
     models/pmModel_PGAUSS.c \
     models/pmModel_QGAUSS.c \
     models/pmModel_SGAUSS.c \
     models/pmModel_RGAUSS.c \
     models/pmModel_SERSIC.c

pkginclude_HEADERS = \
     pmPeaks.h \
     pmMoments.h \
     pmModel.h \
     pmModelClass.h \
     pmModelUtils.h \
     pmSource.h \
     pmSourceUtils.h \
     pmSourceSky.h \
     pmSourceContour.h \
     pmSourceFitModel.h \
     pmSourceFitSet.h \
     pmSourcePhotometry.h \
     pmSourceIO.h \
     pmSourcePlots.h \
     pmResiduals.h \
     pmPSF.h \
     pmPSF_IO.h \
     pmPSFtry.h \
     pmTrend2D.h \
     pmGrowthCurve.h

CLEANFILES = *~
